<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Map Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Map.html">Map</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classgg_1_1Map-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Map Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Map_8hpp_source.html">Map.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2ef8c67d44425d20ee7308b43254fd91"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a2ef8c67d44425d20ee7308b43254fd91">Map</a> ()=default</td></tr>
<tr class="separator:a2ef8c67d44425d20ee7308b43254fd91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacb91ed35bf44fa0486c32137bec1f3d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#aacb91ed35bf44fa0486c32137bec1f3d">~Map</a> ()</td></tr>
<tr class="separator:aacb91ed35bf44fa0486c32137bec1f3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfc7f2a9da7831b7d3e6dd049535416b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#abfc7f2a9da7831b7d3e6dd049535416b">LoadFromXML</a> (const <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &amp;)</td></tr>
<tr class="separator:abfc7f2a9da7831b7d3e6dd049535416b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a982ba8264fecaa86d40100bf619467da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a982ba8264fecaa86d40100bf619467da">SaveToFilename</a> (const std::string &amp;)</td></tr>
<tr class="separator:a982ba8264fecaa86d40100bf619467da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8e46e7efd7649d812d494893d374c84"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ad8e46e7efd7649d812d494893d374c84">draw</a> (sf::RenderWindow &amp;window)</td></tr>
<tr class="separator:ad8e46e7efd7649d812d494893d374c84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aa5289361af1a7dbc68bf97f5722e17"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a6aa5289361af1a7dbc68bf97f5722e17">Update</a> ()</td></tr>
<tr class="separator:a6aa5289361af1a7dbc68bf97f5722e17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51c8f9164f76be79cab3b7a095c60a92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a51c8f9164f76be79cab3b7a095c60a92">SetWidth</a> (unsigned int width)</td></tr>
<tr class="separator:a51c8f9164f76be79cab3b7a095c60a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad22218898e8860365782844f7ec1efcd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ad22218898e8860365782844f7ec1efcd">SetHeight</a> (unsigned int height)</td></tr>
<tr class="separator:ad22218898e8860365782844f7ec1efcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018473c20f94a257cb21bd60cf45aae9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a018473c20f94a257cb21bd60cf45aae9">SetTileSize</a> (sf::Vector2f tileSize)</td></tr>
<tr class="separator:a018473c20f94a257cb21bd60cf45aae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58eae1a48c136ff89af8831949f80127"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a58eae1a48c136ff89af8831949f80127">SetBegin</a> (sf::Vector2f begin)</td></tr>
<tr class="separator:a58eae1a48c136ff89af8831949f80127"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9177e1c9a4857d524f94bb302b8ee7a8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a9177e1c9a4857d524f94bb302b8ee7a8">ChangeLocation</a> ()</td></tr>
<tr class="separator:a9177e1c9a4857d524f94bb302b8ee7a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacfc3a30c868a2a32cd27c1e5ed77806"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#aacfc3a30c868a2a32cd27c1e5ed77806">MoveMap</a> (float x, float y)</td></tr>
<tr class="separator:aacfc3a30c868a2a32cd27c1e5ed77806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9eb74d5200bd9ebec980e31c5611298"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ae9eb74d5200bd9ebec980e31c5611298">ChangeTile</a> (<a class="el" href="classgg_1_1Tile.html">Tile</a> *, <a class="el" href="classgg_1_1Tile.html">Tile</a> *)</td></tr>
<tr class="separator:ae9eb74d5200bd9ebec980e31c5611298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac61d0c10d7d97efcc02442ceb7837781"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ac61d0c10d7d97efcc02442ceb7837781">CreateGrassTile</a> (sf::Vector2f coordinates) -&gt; <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td></tr>
<tr class="separator:ac61d0c10d7d97efcc02442ceb7837781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6d8d27541c3d337e8e3659ed175ae19"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ad6d8d27541c3d337e8e3659ed175ae19">CreateWaterTile</a> (sf::Vector2f coordinates) -&gt; <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td></tr>
<tr class="separator:ad6d8d27541c3d337e8e3659ed175ae19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4128f6e11fbb519156cdbdc6c46598a6"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a4128f6e11fbb519156cdbdc6c46598a6">CreateWaterDownTile</a> (sf::Vector2f coordinates) -&gt; <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td></tr>
<tr class="separator:a4128f6e11fbb519156cdbdc6c46598a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0144d50a38f0009ae27c8dd1e8e189e2"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a0144d50a38f0009ae27c8dd1e8e189e2">CreateCanalTile</a> (sf::Vector2f coordinates) -&gt; <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td></tr>
<tr class="separator:a0144d50a38f0009ae27c8dd1e8e189e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9889aeb4d9d1c7d4e758c6e858b551c3"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a9889aeb4d9d1c7d4e758c6e858b551c3">CreateTreeTile</a> (sf::Vector2f coordinates) -&gt; <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td></tr>
<tr class="separator:a9889aeb4d9d1c7d4e758c6e858b551c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba0aa7796a4478c56bde6efff1fe094"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a0ba0aa7796a4478c56bde6efff1fe094">CreateResidentialTile</a> (sf::Vector2f coordinates) -&gt; <a class="el" href="classgg_1_1BuildingTile.html">BuildingTile</a> *</td></tr>
<tr class="separator:a0ba0aa7796a4478c56bde6efff1fe094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35b3d781ff55c72bf709d37d7e368cf4"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a35b3d781ff55c72bf709d37d7e368cf4">CreateIndustrialTile</a> (sf::Vector2f coordinates) -&gt; <a class="el" href="classgg_1_1BuildingTile.html">BuildingTile</a> *</td></tr>
<tr class="separator:a35b3d781ff55c72bf709d37d7e368cf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422a0accec11601b74e894f49ac43d52"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a422a0accec11601b74e894f49ac43d52">CreateRoadTile</a> (sf::Vector2f coordinates, <a class="el" href="namespacegg.html#a59e8f774a3ab30332c9369908203b584">RoadType</a> roadType) -&gt; <a class="el" href="classgg_1_1RoadTile.html">RoadTile</a> *</td></tr>
<tr class="separator:a422a0accec11601b74e894f49ac43d52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ad6fed856fe51fe3f62d510a390560"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ae9ad6fed856fe51fe3f62d510a390560">SetActive</a> (bool b)</td></tr>
<tr class="separator:ae9ad6fed856fe51fe3f62d510a390560"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a381f238efdcb30cc28663354a945486a"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a381f238efdcb30cc28663354a945486a">mWidth</a></td></tr>
<tr class="separator:a381f238efdcb30cc28663354a945486a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50031a1279a761fa3e5f85a43a13305c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a50031a1279a761fa3e5f85a43a13305c">mHeight</a></td></tr>
<tr class="separator:a50031a1279a761fa3e5f85a43a13305c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18faf048795c8c32358905ab6c094742"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classgg_1_1Tile.html">Tile</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a18faf048795c8c32358905ab6c094742">mTiles</a></td></tr>
<tr class="separator:a18faf048795c8c32358905ab6c094742"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0c694c9227698769a93f49838195360"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#aa0c694c9227698769a93f49838195360">mBegin</a></td></tr>
<tr class="separator:aa0c694c9227698769a93f49838195360"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75a2f7eb85b5c8e371ee7bddf5d6977"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ac75a2f7eb85b5c8e371ee7bddf5d6977">mTileSize</a></td></tr>
<tr class="separator:ac75a2f7eb85b5c8e371ee7bddf5d6977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac22338ca9e8d796a4e54306c475c6f44"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#ac22338ca9e8d796a4e54306c475c6f44">mResidentialAttributes</a></td></tr>
<tr class="separator:ac22338ca9e8d796a4e54306c475c6f44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b8ca70d9aa145242d4d9da2ec98d14"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a16b8ca70d9aa145242d4d9da2ec98d14">mIndustrialAttributes</a></td></tr>
<tr class="separator:a16b8ca70d9aa145242d4d9da2ec98d14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7075005892d768dd8d31a25bc7a1fe41"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a7075005892d768dd8d31a25bc7a1fe41">mTreeAttributes</a></td></tr>
<tr class="separator:a7075005892d768dd8d31a25bc7a1fe41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b0a1fe7ee107aa46f7828149f3b3557"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a4b0a1fe7ee107aa46f7828149f3b3557">mCanalAttributes</a></td></tr>
<tr class="separator:a4b0a1fe7ee107aa46f7828149f3b3557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b6377fce0335a7f59f420e934f9489b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a8b6377fce0335a7f59f420e934f9489b">mWaterDownAttributes</a></td></tr>
<tr class="separator:a8b6377fce0335a7f59f420e934f9489b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a788f46a8ab34327503a10af9b36800d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a788f46a8ab34327503a10af9b36800d5">mGrassAttributes</a></td></tr>
<tr class="separator:a788f46a8ab34327503a10af9b36800d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c7f62271a61e86c842ca09538696c59"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#a7c7f62271a61e86c842ca09538696c59">mWaterAttributes</a></td></tr>
<tr class="separator:a7c7f62271a61e86c842ca09538696c59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa67ab84e40e97b70638d97c23d6b35c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Map.html#aa67ab84e40e97b70638d97c23d6b35c1">mRoadAttributes</a></td></tr>
<tr class="separator:aa67ab84e40e97b70638d97c23d6b35c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2ef8c67d44425d20ee7308b43254fd91" name="a2ef8c67d44425d20ee7308b43254fd91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ef8c67d44425d20ee7308b43254fd91">&#9670;&nbsp;</a></span>Map()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Map::Map </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aacb91ed35bf44fa0486c32137bec1f3d" name="aacb91ed35bf44fa0486c32137bec1f3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacb91ed35bf44fa0486c32137bec1f3d">&#9670;&nbsp;</a></span>~Map()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::Map::~Map </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9177e1c9a4857d524f94bb302b8ee7a8" name="a9177e1c9a4857d524f94bb302b8ee7a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9177e1c9a4857d524f94bb302b8ee7a8">&#9670;&nbsp;</a></span>ChangeLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::ChangeLocation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9eb74d5200bd9ebec980e31c5611298" name="ae9eb74d5200bd9ebec980e31c5611298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9eb74d5200bd9ebec980e31c5611298">&#9670;&nbsp;</a></span>ChangeTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::ChangeTile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1Tile.html">Tile</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1Tile.html">Tile</a> *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0144d50a38f0009ae27c8dd1e8e189e2" name="a0144d50a38f0009ae27c8dd1e8e189e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0144d50a38f0009ae27c8dd1e8e189e2">&#9670;&nbsp;</a></span>CreateCanalTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateCanalTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac61d0c10d7d97efcc02442ceb7837781" name="ac61d0c10d7d97efcc02442ceb7837781"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac61d0c10d7d97efcc02442ceb7837781">&#9670;&nbsp;</a></span>CreateGrassTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateGrassTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a35b3d781ff55c72bf709d37d7e368cf4" name="a35b3d781ff55c72bf709d37d7e368cf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35b3d781ff55c72bf709d37d7e368cf4">&#9670;&nbsp;</a></span>CreateIndustrialTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateIndustrialTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1BuildingTile.html">BuildingTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ba0aa7796a4478c56bde6efff1fe094" name="a0ba0aa7796a4478c56bde6efff1fe094"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ba0aa7796a4478c56bde6efff1fe094">&#9670;&nbsp;</a></span>CreateResidentialTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateResidentialTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1BuildingTile.html">BuildingTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a422a0accec11601b74e894f49ac43d52" name="a422a0accec11601b74e894f49ac43d52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422a0accec11601b74e894f49ac43d52">&#9670;&nbsp;</a></span>CreateRoadTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateRoadTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacegg.html#a59e8f774a3ab30332c9369908203b584">RoadType</a>&#160;</td>
          <td class="paramname"><em>roadType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  <a class="el" href="classgg_1_1RoadTile.html">RoadTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9889aeb4d9d1c7d4e758c6e858b551c3" name="a9889aeb4d9d1c7d4e758c6e858b551c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9889aeb4d9d1c7d4e758c6e858b551c3">&#9670;&nbsp;</a></span>CreateTreeTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateTreeTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4128f6e11fbb519156cdbdc6c46598a6" name="a4128f6e11fbb519156cdbdc6c46598a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4128f6e11fbb519156cdbdc6c46598a6">&#9670;&nbsp;</a></span>CreateWaterDownTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateWaterDownTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6d8d27541c3d337e8e3659ed175ae19" name="ad6d8d27541c3d337e8e3659ed175ae19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6d8d27541c3d337e8e3659ed175ae19">&#9670;&nbsp;</a></span>CreateWaterTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Map::CreateWaterTile </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>coordinates</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8e46e7efd7649d812d494893d374c84" name="ad8e46e7efd7649d812d494893d374c84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8e46e7efd7649d812d494893d374c84">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::draw </td>
          <td>(</td>
          <td class="paramtype">sf::RenderWindow &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abfc7f2a9da7831b7d3e6dd049535416b" name="abfc7f2a9da7831b7d3e6dd049535416b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfc7f2a9da7831b7d3e6dd049535416b">&#9670;&nbsp;</a></span>LoadFromXML()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::LoadFromXML </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aacfc3a30c868a2a32cd27c1e5ed77806" name="aacfc3a30c868a2a32cd27c1e5ed77806"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacfc3a30c868a2a32cd27c1e5ed77806">&#9670;&nbsp;</a></span>MoveMap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::MoveMap </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a982ba8264fecaa86d40100bf619467da" name="a982ba8264fecaa86d40100bf619467da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a982ba8264fecaa86d40100bf619467da">&#9670;&nbsp;</a></span>SaveToFilename()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::SaveToFilename </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9ad6fed856fe51fe3f62d510a390560" name="ae9ad6fed856fe51fe3f62d510a390560"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9ad6fed856fe51fe3f62d510a390560">&#9670;&nbsp;</a></span>SetActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::SetActive </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a58eae1a48c136ff89af8831949f80127" name="a58eae1a48c136ff89af8831949f80127"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58eae1a48c136ff89af8831949f80127">&#9670;&nbsp;</a></span>SetBegin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::SetBegin </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>begin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad22218898e8860365782844f7ec1efcd" name="ad22218898e8860365782844f7ec1efcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad22218898e8860365782844f7ec1efcd">&#9670;&nbsp;</a></span>SetHeight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::SetHeight </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a018473c20f94a257cb21bd60cf45aae9" name="a018473c20f94a257cb21bd60cf45aae9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a018473c20f94a257cb21bd60cf45aae9">&#9670;&nbsp;</a></span>SetTileSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::SetTileSize </td>
          <td>(</td>
          <td class="paramtype">sf::Vector2f&#160;</td>
          <td class="paramname"><em>tileSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51c8f9164f76be79cab3b7a095c60a92" name="a51c8f9164f76be79cab3b7a095c60a92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51c8f9164f76be79cab3b7a095c60a92">&#9670;&nbsp;</a></span>SetWidth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::SetWidth </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6aa5289361af1a7dbc68bf97f5722e17" name="a6aa5289361af1a7dbc68bf97f5722e17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6aa5289361af1a7dbc68bf97f5722e17">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Map::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa0c694c9227698769a93f49838195360" name="aa0c694c9227698769a93f49838195360"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0c694c9227698769a93f49838195360">&#9670;&nbsp;</a></span>mBegin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f gg::Map::mBegin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b0a1fe7ee107aa46f7828149f3b3557" name="a4b0a1fe7ee107aa46f7828149f3b3557"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b0a1fe7ee107aa46f7828149f3b3557">&#9670;&nbsp;</a></span>mCanalAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mCanalAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a788f46a8ab34327503a10af9b36800d5" name="a788f46a8ab34327503a10af9b36800d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a788f46a8ab34327503a10af9b36800d5">&#9670;&nbsp;</a></span>mGrassAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mGrassAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a50031a1279a761fa3e5f85a43a13305c" name="a50031a1279a761fa3e5f85a43a13305c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50031a1279a761fa3e5f85a43a13305c">&#9670;&nbsp;</a></span>mHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int gg::Map::mHeight</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a16b8ca70d9aa145242d4d9da2ec98d14" name="a16b8ca70d9aa145242d4d9da2ec98d14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16b8ca70d9aa145242d4d9da2ec98d14">&#9670;&nbsp;</a></span>mIndustrialAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mIndustrialAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac22338ca9e8d796a4e54306c475c6f44" name="ac22338ca9e8d796a4e54306c475c6f44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac22338ca9e8d796a4e54306c475c6f44">&#9670;&nbsp;</a></span>mResidentialAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mResidentialAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa67ab84e40e97b70638d97c23d6b35c1" name="aa67ab84e40e97b70638d97c23d6b35c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa67ab84e40e97b70638d97c23d6b35c1">&#9670;&nbsp;</a></span>mRoadAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mRoadAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18faf048795c8c32358905ab6c094742" name="a18faf048795c8c32358905ab6c094742"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18faf048795c8c32358905ab6c094742">&#9670;&nbsp;</a></span>mTiles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classgg_1_1Tile.html">Tile</a> *&gt; gg::Map::mTiles</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac75a2f7eb85b5c8e371ee7bddf5d6977" name="ac75a2f7eb85b5c8e371ee7bddf5d6977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac75a2f7eb85b5c8e371ee7bddf5d6977">&#9670;&nbsp;</a></span>mTileSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f gg::Map::mTileSize</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7075005892d768dd8d31a25bc7a1fe41" name="a7075005892d768dd8d31a25bc7a1fe41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7075005892d768dd8d31a25bc7a1fe41">&#9670;&nbsp;</a></span>mTreeAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mTreeAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c7f62271a61e86c842ca09538696c59" name="a7c7f62271a61e86c842ca09538696c59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c7f62271a61e86c842ca09538696c59">&#9670;&nbsp;</a></span>mWaterAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mWaterAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8b6377fce0335a7f59f420e934f9489b" name="a8b6377fce0335a7f59f420e934f9489b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b6377fce0335a7f59f420e934f9489b">&#9670;&nbsp;</a></span>mWaterDownAttributes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classgg_1_1Attributes.html">Attributes</a> gg::Map::mWaterDownAttributes</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a381f238efdcb30cc28663354a945486a" name="a381f238efdcb30cc28663354a945486a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a381f238efdcb30cc28663354a945486a">&#9670;&nbsp;</a></span>mWidth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int gg::Map::mWidth</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/core/<a class="el" href="Map_8hpp_source.html">Map.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
